com.sun.grid.jsv

## Enum BindingSpecifier.Strategy

- java.lang.Object
- - java.lang.Enum<BindingSpecifier.Strategy>
  - - com.sun.grid.jsv.BindingSpecifier.Strategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BindingSpecifier.Strategy>
  Enclosing class:
    BindingSpecifier

      public static enum BindingSpecifier.Strategy
      extends java.lang.Enum<BindingSpecifier.Strategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPLICIT`
    `LINEAR`
    `STRIDING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static BindingSpecifier.Strategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BindingSpecifier.Strategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINEAR

          public static final BindingSpecifier.Strategy LINEAR

    - #### STRIDING

          public static final BindingSpecifier.Strategy STRIDING

    - #### EXPLICIT

          public static final BindingSpecifier.Strategy EXPLICIT

  - ### Method Detail

    - #### values

          public static BindingSpecifier.Strategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BindingSpecifier.Strategy c : BindingSpecifier.Strategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BindingSpecifier.Strategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<BindingSpecifier.Strategy>`